<template>
  <div class="home">
    <h1>Welcome to Terraforming Mars Tools</h1>
    <button @click="startNewGame">Start New Game</button>
    <div v-if="$store.state.game">
      <router-link :to="'/game/' + $store.state.gameId" tag="button">Resume Game</router-link>
    </div>
  </div>
</template>

<script>
import router from '@/core/app-routes';

export default {
  methods: {
    startNewGame () {
      this.$store.dispatch('createNewGame');
      router.push('/game/' + this.$store.state.gameId);
    }
  }
};
</script>
